Intrusion Prevention

Apple.Safari.Ruby.Before.And.After.Blocks.Memory.Corruption

Description

This indicates an attack attempt to exploit a Memory Corruption vulnerability in Apple WebKit.
The vulnerability is caused by an error that occurs when the vulnerable software handles style sheet blocks in a web page. A remote attacker may exploit this to execute arbitrary code via sending a crafted web page.

Affected Products

Google Chrome Prior to 11.0.696.57
Apple Computer iTunes 10.x prior to 10.5
Apple Computer Safari 5.1 and prior

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply patches or fixes, available from the website:
http://support.apple.com/kb/HT5000

CVE References

CVE-2011-1440